
Foreman - Bug #23373

ovirt vm get dissociate when updating a host

04/24/2018 06:53 AM - Shira Maximov

Status: Closed   

Priority: Normal   

Assignee: Shira Maximov   

Category: Compute resources - oVirt   

Target version: 1.18.1   

Difficulty:  Fixed in Releases: 1.18.1, 1.19.0

Triaged: No Found in Releases: Nightly

Bugzilla link: 1600540 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5807,

https://github.com/theforeman/foreman/p

ull/5893,

https://github.com/theforeman/foreman/p

ull/5908,

https://github.com/theforeman/foreman/p

ull/5909

  

Description

create ovirt vm

•  edit

•  change nothing

•  save

• power status button is missing

Related issues:

Related to Foreman - Bug #23410: Saving oVirt host results in lost association Duplicate 04/26/2018

Associated revisions

Revision 79c303c9 - 07/20/2018 08:16 AM - Shira Maximov

Fixes #23373 - Fix host dissociation when updating host

Revision 208a3d7c - 08/02/2018 01:45 PM - Shira Maximov

Refs #23373 - Remove the api fix and fix tests

History

#1 - 07/10/2018 10:24 AM - Shira Maximov

- Subject changed from power status button is missing after editing ovirt vm. to ovirt vm get dissociate when updating a host

- Triaged set to No

#2 - 07/10/2018 10:29 AM - Shira Maximov

- Assignee set to Shira Maximov

#3 - 07/10/2018 12:09 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5807 added

#4 - 07/10/2018 02:30 PM - Shira Maximov

- Related to Bug #23410: Saving oVirt host results in lost association added

#5 - 07/12/2018 05:31 PM - Ori Rabin

- Target version set to 1.18.1
This happens when the host is connected to a hostgroup and instead of using the hostgroup's compute resource "inherit" is clicked and a different

compute resource is selected.

#6 - 07/17/2018 01:10 PM - Ivan Necas

- Bugzilla link set to 1600540

#7 - 07/20/2018 08:36 AM - Marek Hulán

- Fixed in Releases 1.20.0 added

#8 - 07/20/2018 12:21 PM - Shira Maximov

- Status changed from Ready For Testing to Closed

Applied in changeset 79c303c96aca6482aa31dc71cc54a74422030616.

#9 - 07/31/2018 01:32 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5893 added

#10 - 08/02/2018 02:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5908 added

#11 - 08/02/2018 02:23 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5909 added

#12 - 08/06/2018 09:08 AM - Tomer Brisker

- Fixed in Releases 1.19.0 added

#13 - 08/28/2018 01:49 PM - Tomer Brisker

- Fixed in Releases 1.18.1 added
